import SchemaForm from './components/index.vue'

import formObject from './components/form-object.vue'
import formArray from './components/form-array.vue'
import formString from './components/form-string.vue'
import formNumber from './components/form-number.vue'
import formInteger from './components/form-integer.vue'
import formBoolean from './components/form-boolean.vue'
import formOneOf from './components/oneOf.vue'
import formRef from './components/ref.vue'
import codeMirror from './components/code-mirror.vue'

const components = [
  SchemaForm,
  formObject,
  formArray,
  formString,
  formNumber,
  formInteger,
  formBoolean,
  formOneOf,
  formRef,
  codeMirror
]
components.forEach(component => {
  component.install = function (Vue) {
    Vue.component(component.name, component)
  }
})

export default {
  SchemaForm,
  formObject,
  formArray,
  formString,
  formNumber,
  formInteger,
  formBoolean,
  formOneOf,
  formRef,
  codeMirror
}
